Browse Source

Bump lower_constraints and requirements

This is to unblock the stuck gate due to the lower_constraints
job failing.

NOTE(lyarwood): This change also drops the nova-ceph-multistore job
while we work on fixing it via Iebbb2dcb767ecf3c965f34f1ca04af20a2039be1

Change-Id: Ifd55c44fef4e2187052d77084dc9c0fa9c9a0d16
(cherry picked from commit 795dad7633)
changes/26/781426/3
Lee Yarwood 4 weeks ago
parent
commit
508800512d
3 changed files with 24 additions and 22 deletions
  1. +0
    -2
      .zuul.yaml
  2. +17
    -13
      lower-constraints.txt
  3. +7
    -7
      requirements.txt

+ 0
- 2
.zuul.yaml View File

@ -312,7 +312,6 @@
irrelevant-files: *tempest-irrelevant-files
- tempest-ipv6-only:
irrelevant-files: *tempest-irrelevant-files
- nova-ceph-multistore
gate:
jobs:
@ -326,7 +325,6 @@
irrelevant-files: *tempest-irrelevant-files
- tempest-ipv6-only:
irrelevant-files: *tempest-irrelevant-files
- nova-ceph-multistore
experimental:
jobs:
- glance-tox-py38-glance_store-tips


+ 17
- 13
lower-constraints.txt View File

@ -1,10 +1,13 @@
alembic==0.8.10
amqp==2.2.2
alembic==0.9.6
amqp==2.4.0
appdirs==1.4.3
argparse==1.4.0
asn1crypto==0.24.0
attrs==17.4.0
automaton==1.14.0
Babel==2.3.4
boto3==1.9.199
botocore==1.12.253
cachetools==2.0.1
castellan==0.17.0
cffi==1.13.2
@ -13,11 +16,11 @@ cliff==2.11.0
cmd2==0.8.1
contextlib2==0.5.5
coverage==4.0
cryptography==2.1
cryptography==2.6.1
cursive==0.2.1
ddt==1.0.1
debtcollector==1.2.0
decorator==4.2.1
decorator==4.3.0
defusedxml==0.6.0
dnspython==1.16.0
doc8==0.6.0
@ -27,12 +30,14 @@ eventlet==0.25.1
extras==1.0.0
fasteners==0.14.1
fixtures==3.0.0
flake8==3.7.9
future==0.16.0
futurist==1.2.0
glance-store==2.3.0
greenlet==0.4.13
httplib2==0.9.1
idna==2.6
importlib-metadata==1.1.3
iso8601==0.1.11
Jinja2==2.10
jsonschema==3.2.0
@ -40,21 +45,20 @@ keystoneauth1==3.4.0
keystonemiddleware==4.17.0
kombu==4.3.0
linecache2==1.0.0
lxml==4.1.1
Mako==1.0.7
MarkupSafe==1.0
MarkupSafe==1.1.1
mock==2.0.0
monotonic==1.5
mox3==0.25.0
msgpack==0.5.6
netaddr==0.7.19
netifaces==0.10.6
networkx==1.11
networkx==2.2
os-client-config==1.29.0
os-win==3.0.0
os-win==4.0.1
oslo.concurrency==3.26.0
oslo.config==5.2.0
oslo.context==2.19.2
oslo.context==2.22.0
oslo.db==5.0.0
oslo.i18n==3.15.3
oslo.log==3.36.0
@ -63,9 +67,9 @@ oslo.middleware==3.31.0
oslo.policy==2.4.1
oslo.reports==1.18.0
oslo.serialization==2.25.0
oslo.service==1.30.0
oslo.service==1.41.1
oslo.upgradecheck==0.1.0
oslo.utils==3.33.0
oslo.utils==3.40.2
oslotest==3.2.0
osprofiler==1.4.0
Paste==2.0.2
@ -103,14 +107,14 @@ retrying==1.2.3
rfc3986==1.1.0
Routes==2.3.1
simplegeneric==0.8.1
six==1.10.0
six==1.11.0
SQLAlchemy==1.0.10
sqlalchemy-migrate==0.11.0
sqlparse==0.2.2
statsd==3.2.2
stestr==2.0.0
stevedore==1.20.0
taskflow==2.16.0
taskflow==4.0.0
Tempita==0.5.2
tenacity==4.9.0
testrepository==0.0.18


+ 7
- 7
requirements.txt View File

@ -13,16 +13,16 @@ Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
sqlparse>=0.2.2 # BSD
alembic>=0.8.10 # MIT
alembic>=0.9.6 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.utils>=3.40.2 # Apache-2.0
stevedore!=3.0.0,>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
taskflow>=4.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WSME>=0.8.0 # MIT
@ -34,7 +34,7 @@ Paste>=2.0.2 # MIT
jsonschema>=3.2.0 # MIT
pyOpenSSL>=17.1.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.10.0 # MIT
six>=1.11.0 # MIT
oslo.db>=5.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
@ -52,12 +52,12 @@ glance-store>=2.3.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cryptography>=2.6.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0
# timeutils
iso8601>=0.1.11 # MIT
os-win>=3.0.0 # Apache-2.0
os-win>=4.0.1 # Apache-2.0
castellan>=0.17.0 # Apache-2.0

Loading…
Cancel
Save